[Unit]
Description=enigma2
After=enigma2-environment.service sockets.target
Requires=enigma2-environment.service sockets.target
Wants=showiframe-backdrop.service
DefaultDependencies=no

[Service]
EnvironmentFile=/run/enigma2/environment
EnvironmentFile=-/etc/default/enigma2
ExecStartPre=/bin/mkdir -p /etc/enigma2
ExecStart=/usr/bin/enigma2
ExecStopPost=/usr/bin/enigma2-system-state
NotifyAccess=main
OOMScoreAdjust=-999
Restart=on-failure
RestartSec=0
SuccessExitStatus=2 8
Type=notify

[Install]
Also=enigma2-environment.service
WantedBy=graphical.target
